New to the Portal? Create Account
Documentation

< Back to Documentation Overview

HIPAA Transactions APIs

Healthcare HIPAA Transaction APIs

For more information about Availity's APIs, refer to the Availity API Guide. The Product Overview section includes descriptions of the seven Healthcare HIPAA Transaction APIs documented in this tab.

Availity Payer List 1.0.4

Endpoints

GET/availity-payer-list

Retrieve a customized list of Availity payers and transactions.

Parameters

Parameter Type Definition
payerId Query string (optional) The payer's Availity-specific identifier.
transactionType Query array (optional) The code identifying the EDI/HIPAA transaction(s) supported
by a payer. Accepted values include the following (definitions
are in parentheses):
  • 270 (Eligibility Benefit Inquiry)
  • 276 (Claim Status Request)
  • 278I (Service Review Inquiry)
  • 835 (Claim Payment/Advice)
  • 837P (Claim: Professional)
  • 837PEncounter (Encounter: Professional)
  • 837PPredetermination (Predetermination: Professional)
  • 837I (Claim: Institutional)
  • 837IEncounter (Encounter: Institutional)
  • 837IPredetermination (Predetermination: Instutional)
  • 837D (Dental Claim)

  • 837DEncounter (Dental Encounter)
  • 837DPredetermination (Dental Predetermination)
  • 277RFAI (Claim Request for Additional Information)
  • 275 (Medical Attachments)
  • 278N (Notice of admission)
  • ClaimStatusSummary (Enhanced Claim Status summarySearch)
  • ClaimStatusDetail (Enhanced Claim Status detailSearch)

  • ClaimStatusValueAdd (Enhanced Claim Status valueAdd277)

submissionMode Query array (optional) The method of submission for the transaction(s) supported by
a payer. Accepted values: Portal,
Batch, RealTime, and
API.
availability Query string (optional) Accepted values: availability=available
(returns payers that do not require an Availity contract)
and availability=contractrequired (returns
payers that require an Availity contract).
enrollmentRequired Query boolean (optional) Allows you to filter whether enrollment is required for any
payer transaction.
Accept Header string (optional) Allows you to specify
application.json

Sample request

curl --request GET \
  --url 'https://api.availity.com/availity/v1/availity-payer-list?payerId=591209257&transactionType=276&submissionMode=PORTAL
&availability=AVAILABLE&enrollmentRequired=true' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'accept: application.json'

Sample response

[
  {
    "name": "Brian Wilkins",
    "payerId": "591209257",
    "displayName": "Addie Hoffman",
    "shortName": "Jay Garza",
    "processingRoutes": {
      "transactionDescription": "Javauh baele caf wug etaaf sa kispa girhamok remowloj tu mu tob iteno ijri sevonler ori anu.",
      "submissionMode": "portal",
      "effectiveDate": "10/11/2030",
      "availability": false,
      "enrollmentRequired": false,
      "enrollmentMode": "paper enrollment",
      "additionalInfo": "rozteddawdes",
      "rebateTier": "ufufenagazaz",
      "passThroughRate": "kipcekvevzelepu",
      "newTierNotice": "jadjuzt",
      "gateway": "gocrifakoriw",
      "recentlyAdded": "vopadcezaenouvc"
    }
  }
]

Response definitions

Payer List response definitions:
Primary fields and objects
Field Type Definition
name String The common name for the health plan.
payerID String The payer's Availity-specific identifier.
displayName String The payer's name as displayed on Availity Essentials.
shortName String The payer's shortened name used in the file naming convention
for batch transactions.
processingRoutes Object Object providing information about the routes available for
communication from Availity to the payer. See the processingRoutes table for field definitions.
Payer List response definitions:
Fields within processingRoutes
Field Type Definition
transactionDescription String Describes the HIPAA transaction type. See the
transactionType parameter for possible values.
submissionMode String The method of submission for the transaction(s) supported by
a payer. Possible values: Portal,
Batch, RealTime, and
API.
effectiveDate String The date the transaction became available for this
payer.
availability Boolean Indicates whether the transaction is available to the payer
under its current Availity contract or requires an additional
Availity contract.
enrollmentRequired Boolean Indicates whether enrollment with Availity is required to
submit the transaction.
enrollmentMode String Indicates the type of enrollment required with Availity.
Possible values:
  • Manual Payer Submission
  • Paperless
  • Payer Portal Enrollment
  • Paper
  • Email Attachment
  • Auto Complete
additionalInfo String Provides additional information about the transaction, if
applicable.
rebateTier String The processing route's cost tier.
passThroughRate String The processing route's pass-through rate.
newTierNotice String Provides notice of an upcoming tier change, if
applicable.
gateway String The
designation if Availity is the gateway for
this payer for this route.
recentlyAdded String The date the route was added.

Configurations 1.0.0

Endpoints

GET/v1/configurations

Retrieve payer configurations and validation rules by type, subtype, and payer ID for use in your application. May return abbreviated configuration versions if multiple are found.

Parameters

Parameter Type Definition
type Query string (required) Indicate the type of HIPAA transaction for the configuration
you're requesting. Refer to the Validation
rules subsection in each applicable API's
reference section or the table below for accepted values.
subtypeId Query string (optional) The subtype ID for your request. Refer to the
Validation rules subsection in each
applicable API's reference section or the table below for accepted values.
payerId Query string (optional) A health plan's Availity-specific identifier.
Accept Header string (optional) Allows you to specify application/json or
application/xml.

The accepted values for type and subtypeId are listed for each applicable API in the table below. Refer to each API's reference documentation for definitions.

Healthcare Transactions API type value subtypeId value
Coverages

Send the type parameter without specifying a payerId for a list of all payers that support the Coverages API. Send type with the payerId to return the validation rules for this API for a specific payer.

270
Service Reviews (Authorization/Referral Request)

This type name allows you to search for validation rules and parameter list for the POST/v2/service-reviews request. Sending the type, subtypeId, and payerIdparameters returns the validation rules and parameter list for Service Reviews for a specific payer.

service-reviews
  • HS (outpatient authorization)
  • AR (inpatient authorization/admission review)
  • SC (referral)

Service Reviews (Authorization/Referral Inquiry)

This type name allows you to search for validation rules and parameter list for the GET/v2/service-reviews request.

service-reviews-inquiry
  • HS (outpatient authorization)
  • AR (inpatient authorization/admission review)
  • SC (referral)

Claim Statuses

Send the type parameter without specifying a payerId for a list of all payers that support the Claim Statuses API. Specify type and payerId to return the validation rules for a specific payer.

claim-statuses-inquiry
Patient Cost Estimator – Professional

Send the type parameter without specifying a payerId for a list of all payers that support the CCE – Professional API. Specify type and subtypeId with the payerId to return the validation rules for a specific payer.

professional-claims PRE_DETERMINATION
Patient Cost Estimator – Institutional

Send the type parameter without specifying a payerId for a list of all payers that support the CCE – Institutional API. Specify type and subtypeId with the payerId to return the validation rules for a specific payer.

institutional-claims PRE_DETERMINATION
Enhanced Claim Status

Send the type parameter without specifying a payerId for a list of all payers that support the Enhanced Claim Status API. Specify type and subTypeId with the payerId to return the validation rules for a specific payer for a particular Enhanced Claim Status search.

enhanced-claim-status
  • HIPAA_276
  • VALUE_ADDS_277
  • SUMMARY
  • DETAIL

Sample request

curl -X GET "https://api.availity.com/availity/v1/configurations?payerId=BCBSF&type=270" 

Sample response

{
  "totalCount": 27734645,
  "count": 38099164,
  "offset": 50559072,
  "limit": 93842940,
  "links": {
    "id": 5689220412735488
  },
  "configurations": [
    {
      "type": "270",
      "payerId": "BCBSF",
      "payerName": "FLORIDA BLUE",
      "elements": {
        "providerLastName": {
          "type": "Text",
          "label": "Provider Last Name",
          "order": 0,
          "allowed": true,
          "required": false,
          "errorMessage": "Please enter a valid Provider Last Name.",
          "defaultValue": "AVAILITY",
          "pattern": "^[a-zA-Z0-9\\s!&,()+'\\-./;?=#\\\\]{1,60}$",
          "maxLength": 60
        },
        "providerFirstName": {
          "type": "Text",
          "label": "Provider First Name",
          "order": 1,
          "allowed": true,
          "required": false,
          "errorMessage": "Please enter a valid Provider First Name.",
          "pattern": "^[a-zA-Z0-9\\s!&,()+'\\-./;?=#\\\\]{1,35}$",
          "maxLength": 35
        },
        "providerType": {
          "type": "Unsupported",
          "label": "Provider Type",
          "order": 2,
          "allowed": false,
          "required": false,
          "errorMessage": "This field is not supported."
        },
        "providerNpi": {
          "type": "Text",
          "label": "Provider NPI",
          "order": 4,
          "allowed": true,
          "required": false,
          "errorMessage": "Enter a valid National Provider Identifier (NPI) containing 10 numeric digits and beginning with a 1, 2, 3, or 4.",
          "pattern": "^[1-4][0-9]{9}$",
          "maxLength": 10
        },
        "providerTaxId": {
          "type": "Text",
          "label": "Provider Tax ID",
          "order": 5,
          "allowed": true,
          "required": false,
          "errorMessage": "Enter a valid Tax ID containing nine numeric digits and no dashes.",
          "pattern": "^[0-9]{9}$",
          "maxLength": 9
        }
      }
    }
  ]
}

Response definitions

Configurations response definitions:
Primary result set
Field Type Definition
totalCount Integer Total number of assets.
count Integer Number of assets in the result set.
offset Integer Paging offset.
limit Integer Paging limit.
links Object Object containing a set of resource URIs.
configurations Array Array providing configurations by type, subTypeId, and/or
payerId. See the Configurations table for field definitions.
Configurations response definitions:
Fields within configurations
Field Type Definition
type String The type of HIPAA transaction for which you requested
configurations.
categoryId String The
configuration
category ID.
categoryValue String The
configuration
category value.
subtypeId String The subtype ID specified in your request.
subtypeValue String The subtype
value
specified in your request.
payerId String The Availity-specific payer identifier for this
configuration.
payerName String The name of the health plan that this configuration request
involves.
version String The
configuration version. Values include the
following for Enhanced Claim Status:
  • HIPAA_276 (searchBy276)
  • VALUE_ADDS_277 (valueAdds277)
  • CLAIM_HISTORY (summarySearch)
  • SERVICE_DATE (summarySearch)
  • CHECK_NUMBER (summarySearch)
  • MEMBER_ID (summarySearch)
  • CLAIM_NUMBER (detailSearch)
sourceId String The configuration
source
ID.
elements Object Object providing information about each of the elements that
make up the health plan's configuration form and indicating
whether and under what conditions those elements are supported.
See the Elements table for field
definitions.
requiredFieldCombinations Array Array providing information about field combinations required
by the health plan.
Each
entry defines a rule where all fields in at least one of the
lists of fields must be provided.
settings Object Object providing information about key-value
settings.
Configurations response definitions:
Fields within elements
Field Type Definition
type String The data type for this element that maps to the type of
element displayed in your UI. Not to be confused with the
type parameter. Accepted values:
  • Unsupported (not shown in UI)
  • Boolean (checkmark)
  • Collection (searchable REST-backed drop-down)
  • Date (date picker)
  • Enumeration (searchable inline drop-down)
  • Information (text)
  • Section (grouper or container with text)
  • Text (standard text box)
  • Number (text box serialized as numeric)
  • Object (grouping as in Section, but with additional metadata)
  • ObjectArray (repeating grouping with additional metadata)
label String The name used for display in your application's UI.
order Integer An
optional ordering index you can use to lay out fields in your
application's UI.
helpTopicId String
elements Object Child
elements.
errorMessage String An error message you can use in your application's UI if this
element does not pass validation. You can use this message if
you perform client-side validation or after you've submitted a
request and it returns as invalid.
maxRepeats Integer Maximum number of item repetitions.
allowed Boolean Indicates whether the element is valid to use.
required Boolean Indicates whether the element is required.
information Array A
list of information.
groups Array A
list of groups.
repeats Boolean Indicates whether the item repeats.
hidden Boolean Indicates whether the item is hidden.
minRepeats Integer Minimum number of item repetitions.
defaultValue String A default value you can use for pre-populating a field in
your application's UI.
values String A
list of values.
valuesWhen Object Conditional
values.
min String (date) Minimum
date.
max String (date) Maximum
date.
pattern String A regular expression you can use to validate input parameter
values.
maxLength Integer The maximum character length allowed for this
element.
minLength Integer The minimum character length allowed for this
element.
maxLengthWhen Object Conditional maximum length. Refer to the elements—Conditional fields table for field
definitions.
patternWhen Object Conditional pattern. Refer to the elements—Conditional fields table for field
definitions.
mode String Indicates whether the element uses a drop-down list or radio
button group.
allowedWhen Object Object indicating the conditions under which the element is
allowed. Refer to the elements—Conditional fields table for field
definitions.
notAllowedWhen Object Object indicating the conditions under which the element is
not allowed. Refer to the elements—Conditional fields table for field
definitions.
requiredWhen Object Object indicating the conditions under which the element is
required. Refer to the elements—Conditional fields table for field
definitions.
notRequiredWhen Object Object indicating the conditions under which the element is
not required. Refer to the elements—Conditional fields table for field
definitions.
objectTypes Object Object
array item type prototype definitions. See
the elements.objectTypes table for field
definitions.
Configurations response definitions:
Fields within elements—Conditional
fields
Field Type Definition
equalTo String Applies when the element value is equal to this
value.
containedIn Array Applies when the field value is in the list.
greaterThan String Applies when the field value is greater than this
value.
lessThan String Applies when the field value is less than this value.
greaterEqual String Applies when the field value is greater than or equal to this
value.
lessEqual String Applies when the field value is less than or equal to this
value.
maxLength Integer Maximum character length.
pattern Integer A regular expression you can use to validate input parameter
values.
values ? Possible values or link to possible values.
Configurations response definitions:
Fields within elements.objectTypes
Field Type Definition
label String A label for this object type.
minInstances Integer The minimum number of instances of this type of
object.
maxInstances Integer The maximum number of instances of this type of
object.
required Boolean Indicates whether the object is required.
allowedWhen Object Object type is allowed when one condition is true.
notAllowedWhen Object Object type is not allowed when one condition is
true.
requiredWhen Object Object type is required when one condition is true.
notRequiredWhen Object Object type is not required when one condition is
true.
fieldValues Object Object type discriminators.

Coverages 1.0.0

Find a summary or details about a member's healthcare coverage with this API, which enables the X12 270/271 transaction. Code lists and sources can be found in the ASC X12 Standards for Electronic Data Interchange Technical Report Type 3 (TR3) titled Health Care Eligibility Benefit Inquiry and Response (270/271).

Please note that Availity no longer supports the GET/v1/coverages endpoint and has replaced it with the POST/v1/coverages endpoint. Be sure to refer only to documentation that uses the POST endpoint.

Endpoints

Attention: If you navigated to this section because you are affected by the endpoint migration from GET to POST, please follow the instructions below to update your endpoint. For further clarification, refer to the sample requests and responses.
  1. Update the request type from GET to POST and send as URL encoded. Example:
  2. Ensure that your request does not append the data to the URL. Example:

Important: The response for the CREATE utilizing POST uses the coverages object directly. The array of coverages concept was removed for the echo request response. You no longer need to dig for the coverages object, as it is directly returned in the POST response.


Path Function
1 POST/v1/coverages Retrieve a snapshot of a member's health plan coverage by
querying the resource with certain parameters. You can also
search your recent coverage requests with this endpoint.
2 GET/v1/coverages/{id} Retrieve details about a specific member's coverage by
requesting coverage by ID number. Replace {id} with the response
ID from your initial request.
3 DELETE/v1/coverages/{id} Delete a specific coverage by sending a DELETE request by ID
number. Replace {id} with the response ID from your initial
request.

Demo response scenarios

To test the demo version of this API, send the X-Api-Mock-Scenario-ID header with the appropriate response scenario ID, as listed in the following table.
Coverages demo response
scenarios
Response scenario ID Status code Definition
Coverages-Complete-i 200 Availity has successfully retrieved the member's coverage
information from the health plan.
Coverages-PayerError1-i 200 The health plan has indicated that the provider is ineligible
for inquiries.
Coverages-PayerError2-i 200 The health plan has indicated that the subscriber name is
invalid.
Coverages-InProgress-i 202 Availity is in the process of retrieving the member's
coverage information from the health plan.
Coverages-Retrying-i 202 The health plan did not respond, so Availity is retrying the
request.
Coverages-RequestError1-i 400 Your request failed Availity's input validation
rules.
Coverages-RequestError2-i 400 Your request failed Availity's input validation
rules.

Parameters

POST/v1/coverages

Parameter/Request body Definition
Request body Represents the details of the coverage information you are
requesting. Refer to the request body
for fields and definitions.
Content-Type Set this header to
x-www-form-urlencoded.
Accept Allows you to specify application/json or
application/xml
POST/v1/coverages request
body
Parameter Description
payerId The Availity-specific identifier for the patient's health
plan.
providerLastName The requesting provider's last name.
providerFirstName The requesting provider's first name.
providerType Specify whether the health plan is professional or
institutional, as required by some health plans.
providerNpi The requesting provider's National Provider Identifier (NPI).
Most health plans require the provider NPI for coverage
requests.
providerTaxId The requesting provider's tax ID, as required by some health
plans.
payerAssignedProviderId Some health plans allow you to specify a payer-assigned
identifier for the requesting provider. If the payer has
assigned the requesting provider an ID number, specify it using
this parameter.
providerSSN The requesting provider's Social Security Number (SSN), if
required.
providerPIN The requesting provider's personal identification
number.
providerCity Specify the requesting provider’s city, as required by some
health plans.
providerState Specify the requesting provider’s two-character state code,
as required by some health plans.
providerZipCode Specify the requesting provider’s ZIP code, as required by
some health plans.
providerSpecialty Specifies the requesting provider's specialty using a
taxonomy code. Refer to X12 External Code Source 682: Provider
Taxonomy Codes.
placeOfService Identifies
the place of service, as required by some health
plans.
submitterId Identifies the submitter using a payer-assigned submitter
identifier, as required by some health plans.
asOfDate Indicates the date of service for which you want to check
coverage information.
toDate Provides an end date for your coverage information search
period, as required by some health plans.
serviceType The type or types of service your request involves.
cardIssueDate The issue date of the member's health plan card.
procedureCode The procedure code for the coverage you're requesting. Refer
to the ASC X12 270/271 TR3 for the full list of procedure code
sources.
memberId The patient’s health plan member ID number.
medicaidId The patient’s Medicaid ID number.
patientSSN The patient’s Social Security Number.
patientLastName The patient’s last name.
patientFirstName The patient’s first name.
patientMiddleName The patient’s middle name.
patientSuffix The patient’s suffix.
patientGender The patient’s gender.
patientBirthDate The patient’s date of birth.
patientState Two-character abbreviation for the patient’s state of
residence.
groupNumber The patient’s health plan group number.
subscriberRelationship Specifies
the patient’s relationship to the health plan subscriber if the
patient is not the subscriber. Values with
definitions in parentheses:
  • 18 (Self)
  • 01 (Spouse)
  • 19 (Child)
  • G8 (Other relationship)

Search GET/v1/coverages parameters

Availity stores short-lived, local copies of each coverage request until the time specified by the expirationDate property. If Availity does not have a recent local copy of a particular coverage, it will request one from the health plan. This is an asynchronous process. You can track the current status using the status and statusCode properties. To search your recent coverage requests, you can use the following parameters in addition to the parameters listed above:
Search GET/v1/coverages
parameters
Parameter Definition
status Search for coverages with a status of In Progress, Request Error,
Communication Error, or
Complete.
planStatus Search for coverages with a plan status of
Active or
Inactive.
q Search for coverages that match free-form search
terms.
sortBy Sort the results by lastUpdateDate,
asOfdate, or
patientLastName. The default is
lastUpdateDate.
sortDirection Sort the results in asc or
desc order. The default is
desc.
Note: When performing a search query, you must include the <strong>q</strong> parameter. If you do not require a free-form matching of terms, you can leave the field empty: q=

If you send invalid parameters, the resource will return a status code of 400 and an error response:

$ curl -X GET "https://api.availity.com/availity/v1/coverages?payerId=99999"
->
{
    "userMessage": "This client system has made an invalid request.",
    "developerMessage": "Your request is not formed properly. Please check your request and the API documentation.",
    "documentation": "https://api.availity.com/availity/v1/documentation/coverages",
    "reasonCode": 0,
    "statusCode": 400,
    "errors": [
        {
            "field": "submitterId",
            "errorMessage": "Please enter a valid Submitter ID."
        },
        {
            "field": "serviceType",
            "errorMessage": "This field is required."
        },
        {
            "field": "patientBirthDate",
            "errorMessage": "Enter a valid date that is not in the future."
        },
        {
            "field": "memberId",
            "errorMessage": "Enter a patient ID containing letters, numbers, spaces, and any of the following special characters: ,;'-.?!&/\\#+=()"
        },
        {
            "field": "providerNpi",
            "errorMessage": "Enter a valid National Provider Identifier (NPI) containing 10 numeric digits and beginning with a 1, 2, 3, or 4."
        },
        {
            "field": "patientLastName",
            "errorMessage": "Enter a name containing letters, numbers, spaces, and any of the following special characters: ,;'-.?!&/\\#+=()"
        }
    ]
}
If a coverage reports its statusCode and status properties as 0 and In Progress, respectively, this means Availity is in the process of retrieving the coverage from the health plan. You can either repeat your request or periodically make a GET by {id} request for the coverage until the statusCode and status properties change. In Progress coverages include an etaDate property that reports the time Availity anticipates the refresh will be complete. The status property will then change to one of several values:
Status codes for
POST/v1/coverages
Code Status Definition
0 In Progress Availity is in the process of retrieving the coverage from
the health plan.
3 Complete (Invalid Response) The refresh was completed successfully, but the health plan's
response was partially invalid. Availity still returns all
available information from the response, but some values may be
missing.
4 Complete The refresh was completed successfully.
6 Rejection Error
7 Communication Error The health plan did not respond.
13 Communication Error The health plan's response was invalid.
14 Communication Error The health plan did not respond.
15 Communication Error The health plan has indicated that it is down for
maintenance.
18 Availity Processing Error
19 Request Error The health plan has returned one or more
validationMessages. (Refer to the validationMessages table.)
R1 Communication Error, Retrying The health plan did not respond and Availity is retrying the
request.
2. GET/v1/coverages/{id}
GET/v1/coverages/{id}
parameters
Parameter Definition
id Retrieve full coverage information using the unique response
ID from your initial request.

3. DELETE/v1/coverages/{id}

DELETE/v1/coverages/{id}
parameters
Parameter Definition
id Delete coverage information using the unique response ID from
your initial request.

Sample requests and responses

  1. POST/v1/coverages

Request:

curl --request POST \
  --url https://api.availity.com/availity/v1/coverages/ \
  --header 'Authorization: Bearer ' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data payerId=123 \
  --data providerUserId=123 \
  --data providerNpi=123 \
  --data 'providerLastName=ABC' \
  --data asOfDate=1990-01-01 \
  --data 'serviceType[]=30' \
  --data memberId=ABC123 \
  --data patientBirthDate=1900-01-01 \
  --data patientLastName=LAST \
  --data patientFirstName=FIRST \
  --data patientGender=M \
  --data patientState=FL \
  --data subscriberRelationship=18 \
  --data 'requestedPatientSearchOption=memberId,patientBirthDate,patientState'

Response:

{    
  "links": {        
    "self": {            
      "href": "https://api.availity.com/availity/v1/coverages/1234567890"        
    }    
  },    
  "id": "1234567890",    
  "customerId": "1234",    
  "statusCode": "4",    
  "submitterStatecode": "FL", 
  "asOfDate": "2024-02-01T05:00:00.000+0000",
  "subscriber": {        
    "memberId": "ABC123456789"    
  },    
  "patient": {        
    "firstName": "FIRST",        
    "lastName": "LAST",        
    },    
  "payer": {
    "name": "HealthPlanOne",        
    "payerId": "123",        
  },
}

Search GET/v1/coverages

When you make a search request, the resource will return a status code of 200 and the first page of matching coverage summaries. Availity will return the first 50 coverages that match your search. If there are more than 50 matching coverages, links to subsequent pages will be returned. For more information on paging of data, refer to the Pagination section of the Availity API Guide.

Request:

  curl -X GET \ 
 --url https://api.availity.com/availity/v1/coverages \ 
 --header 'Authorization: Bearer ' \ 
 --data-raw 'q={searchQuery}'

Response:

{
  "totalCount": 10,
  "count": 10,
  "offset": 0,
  "limit": 50,
  "links": {
    "self": {
      "href": https://apps.availity.com/api/v1/coverages
    }
  },
  "coverages": [
    {
      "links": {
        "self": {
          "href": "https://api.availity.com/availity/v1/coverages/0001234457589486807542108543870042194372034683103803500071606998"
        }
      },
      "id": "0001234457589486807542108543870042194372034683103803500071606998",
      "customerId": "1234",
      "status": "In Progress",
      "statusCode": "0",
      "createdDate": "2014-10-15T15:33:29.000+0000",
      "updatedDate": "2014-10-15T15:33:29.000+0000",
      "expirationDate": "2014-10-16T15:33:28.000+0000",
      "etaDate": "2014-10-15T15:33:29.000+0000",
      "asOfDate": "2014-10-15T04:00:00.000+0000",
      "requestedServiceType": [
        {
          "code": "30",
          "value": "Health Benefit Plan Coverage"
        }
      ],
      "subscriber": {
        "memberId": "1234567890"
      },
      "patient": {
        "subscriberRelationship": "Self",
        "subscriberRelationshipCode": "18",
        "birthDate": "1990-01-01T05:00:00.000+0000"
      },
      "payer": {
        "name": "HEALTHPLANONE",
        "payerId": "HEALTHPLANONE"
      },
      "requestingProvider": {
        "taxId": "123123123"
      }
    }
  ]
}

3. GET/v1/coverages/{id}

Note: Replace {id} with the unique response ID from your initial polling request.

When you request one or more summaries by id, the resource will return a status code of 200 and any requested unexpired coverage summaries.

Request:

$ curl -X GET "https://api.availity.com/availity/v1/coverages?id=00011944990
98175762045868562105833796329766732695450956940743265&id=00011944990981
757620458685621358337963297667326954509569407491523"
    

Response (truncated):

{
    "coverages" : [
        {
            "links": {
                "self": {
                    "href": "https://api.availity.com/availity/v1/coverages/0001194499098175762045868562105833796329766732695450956940743265"
                }
            },
            "customerId": "1234",
            "requestedServiceType": [...],
            "subscriber": {...},
            "patient": {...},
            "payer": {...},
            "requestingProvider": {...},
            "plans": [...]
        },
        {
            "links": {
                "self": {
                    "href": "https://api.availity.com/availity/v1/coverages/00011944990981757620458685621358337963297667326954509569407491523"
                }
            },
            "customerId": "1234",
            "requestedServiceType": [...],
            "subscriber": {...},
            "patient": {...},
            "payer": {...},
            "requestingProvider": {...},
            "plans": [...]
        }
    ]
}

4. DELETE/v1/coverages/{id}

Note: Replace {id} with the unique response ID from your initial polling request.

Request:

$ curl -X DELETE "https://api.availity.com/availity/v1/coverages/0001194499098175
762045868562105833796329766732695450956940743265"

When you make a valid delete request, the resource returns a status code of 204. Response:

HTTP/1.1 204 No Content
x-api-id: 54cbda17-e010-44f3-a38c-b038c106e0bf
X-Session-ID: 54cbda17-e010-44f3-a38c-b038c106e0bf
X-Api-Mock-Response: true
Cache-Control: private, no-store, max-age=0, must-revalidate
Content-Type: application/json
Date: Tue, 24 Feb 2015 20:58:03 GMT
X-Global-Transaction-ID: 34319985
Connection: close

Response definitions

Coverages
response definitions: Primary result
set
Field Type Definition
totalCount Integer The total number of items available that match the parameters
specified.
count Integer The number of items returned.
offset Integer The zero-based starting index in the collection of the first
item to return.
limit Integer The maximum number of collection items returned for a single
request.
links Object Object containing the URL for the request.
coverages Array Array providing information about the coverage or coverages
you requested. Refer to thecoverages table for field definitions.
Coverages response definitions:
Fields within coverages
Field Type Definition
id String The unique response ID from the initial polling
request.
customerId String The unique number Availity uses to identify an
organization.
createdDate String (date-time) The time and date the coverage was added to Availity's
system.
updatedDate String (date-time) The time and date the coverage was last updated in the
system.
expirationDate String (date-time) The time and date this coverage will expire.
controlNumber String An Availity-assigned tracking number for this
transaction.
submitterStateCode String The submitting customer's configured state code.
status String The current status of the coverage request. Refer to the
Status codes table for statuses.
statusCode String The code for the current status of the coverage request.
Refer to the Status codes table for codes.
asOfDate String (date-time) The date for which the patient's coverage information is
being verified.
toDate String (date-time) The end date for the coverage information search.
cardIssueDate String (date-time) The patient's health plan member card issue date.
payer Object Object providing information about the health plan that
returned this coverage information. Refer to the Payer table for field definitions.
requestingProvider Object Object providing identifying information about the provider
that requested this coverage information, including information
sent within the request and additional information sent from the
health plan in the response. Refer to the requestingProvider table for field
definitions.
patient Object Object providing demographic information about the patient,
who may be the subscriber or a dependent. Refer to the Patient table
for field definitions.
subscriber Object Object providing demographic information about the health
plan subscriber. Refer to the Subscriber table for field definitions.
plans Array Array listing information about all health plans returned for
the member. Refer to the Plans table for
field definitions.
requestedServiceType Array Array listing requested service types. Properties include the
service type code and value (description). Refer to the ASC X12
270/271 TR3 for the full list of service type codes.
procedureCode Array Array listing requested procedure codes. Refer to the ASC X12
270/271 TR3 for the full list of procedure code sources.
validationMessages Array A list of validation messages from the payer. Refer to the
validationMessages table for field
definitions.
Coverages response definitions: Fields
within payer
Field Type Definition
payerId String The requested payer's Availity-specific identifier.
name String The requested payer's name.
responsePayerId String The ID the payer responded with.
responseName String The name the payer responded with.
Coverages response definitions:
Fields within requestingProvider
Field Type Definition
lastName/firstName String The requesting provider's last or business name/first
name.
type String Describes the requesting provider type.
typeCode String Code for the requesting provider type. Refer to the X12
270/271 TR3 for the full list of provider type codes.
specialtyCode String Code for the requesting provider's specialty. Refer to the
X12 270/271TR3 for specialty code sources.
npi String The requesting provider's National Provider Identifier
(NPI).
taxId String The requesting provider's tax ID number.
payerAssignedProviderId String The requesting provider's ID assigned by the payer.
ssn String The requesting provider's Social Security Number.
submitterId String The requesting provider's submitter ID.
placeOfService String Description of the place of service.
placeOfServiceCode String Code for the place of service. Refer to X12 Code Source 237:
Place of Service Codes for Professional Claims.
address Object Object providing information about the requesting provider's
address. Fields in this object are omitted for brevity.
pin String The requesting provider's personal identification
number.
Coverages response definitions:
Fields within patient
Field Type Definition
lastName/firstName /middleName/suffix String The patient's last name/first name/middle name/suffix.
birthDate String (date-time) The patient's date of birth.
ssn String The patient's Social Security Number.
gender String The patient's gender.
genderCode String Code for the patient's gender. Values with definitions in
parentheses: F (female), M (male), U (unknown).
subscriberRelationship String Describes the patient's relationship to the
subscriber.
subscriberRelationshipCode String Code for the patient's relationship to the subscriber. Values
with definitions in parentheses:
  • 18 (Self)
  • 01 (Spouse)
  • 19 (Child)
  • G8 (Other relationship)
address Object Object providing information about the patient's address.
Fields in this object are omitted for brevity.
Coverages response definitions:
Fields within subscriber
Field Type Definition
memberId String The subscriber's health plan member ID number.
medicaidId String The subscriber's Medicaid member ID number, if
applicable.
lastName/firstName /middleName/suffix String The subscriber's last name/first name/middle name/suffix.
birthDate String (date-time) The subscriber's date of birth.
gender String The subscriber's gender.
genderCode String Code for the patient's gender. Values with definitions in
parentheses: F (female), M (male), U (unknown).
caseNumber String The case number assigned to the subscriber by the information
source (for example: payer, employer, HMO).
Coverages response definitions:
Fields within plans
Field Type Definition
status String The
patient's
coverage status (e.g., active).
statusCode String The code for the coverage status. See the ASC X12 270/271 TR3
for the full list of eligibility and benefit information
codes.
identityCardNumber String Identifying card number used in addition to the member card
number; typically prevalent in the Medicaid environment.
groupNumber String The patient's health plan group number.
groupName String The patient's health plan group name.
description String
coverageSummaryAdditionalPayers Array Array listing objects for additional payers. Refer to the
coverageSummaryAdditionalPayers table for
definitions of fields within these objects.
eligibilityStartDate String (date-time) Date the patient's eligibility for benefits began/will
begin.
eligibilityEndDate String (date-time) Date the patient's eligibility for benefits ended/will end.
coverageStartDate String (date-time) The date coverage began/will begin.
coverageEndDate String (date-time) The date coverage ended/will end.
insuranceType String The patient's type of insurance.
insuranceTypeCode String Code for the insurance type. Refer to the ASC X12 270/271 TR3
for the full list of insurance type codes.
primaryCareProvider Object Object providing information about the patient's primary care
provider. Fields (with definitions in parentheses) are as
follows:
  • name (primary care provider's name)
  • category (provider's category)
  • categoryCode (code for the provider's category. Refer to the ASC X12 270/271 TR3 for the full list of provider codes.)
Coverages response definitions:
Fields within
coverageSummaryAdditionalPayers
Field Type Definition
name String The additional payer's name.
serviceTypeCode String Code for the additional payer's service type. See the ASC X12
270/271 TR3 for the full list of service type codes.
insuredMemberId String The insured's member ID with the additional payer.
primary Boolean Indicates whether this additional payer is the primary
payer.
secondary Boolean Indicates whether this additional payer is the secondary
payer.
tertiary Boolean Indicates whether this additional payer is the tertiary
payer.
coordinationOfBenefitsBeginDate String (date) Date coordination of benefits began/will begin.
coordinationOfBenefitsEndDate String (date) Date coordination of benefits ended/will end.
coordinationOfBenefitsDate String (date)
Coverages response definitions:
Fields within validationMessages
Field Type Definition
field String The field or parameter associated with this error.
code String The error code.
errorMessage String The message associated with this error.
index Integer The array index of the item associated with this
error.
Coverages response definitions:
Fields within
coverage
Field Type Definition
id String The unique response ID from the initial polling
request.
customerId String The unique number Availity uses to identify an
organization.
controlNumber String An Availity-assigned tracking number for this
transaction.
status String The current status of the coverage request. Refer to the
Status codes table for statuses.
statusCode String The code for the current status of the coverage request.
Refer to the Status codes table for codes.
submitterStatecode String The submitting customer's configured state code.
createdDate String (date-time) The time and date the coverage was added to Availity's
system.
updatedDate String (date-time) The time and date the coverage was last updated in the
system.
expirationDate String (date-time) The time and date this coverage will expire.
asOfDate String (date-time) Indicates the date of service for which you want to check
coverage information.
toDate String (date-time) Provides an end date for your coverage information search
period, as required by some health plans.
cardIssueDate String (date-time) The issue date of the member's health plan card.
requestedServiceType Object Object including fields for the requested service type code
and requested service type description. Refer to the ASC X12
270/271 TR3 for the full list of service type codes.
procedureCode String Code for the product or service. Refer to the ASC X12 270/271
TR3 for the full list of procedure code sources.
validationMessages Array Array listing validation messages from the payer. Refer to
the validationMessages table for field
definitions.
subscriber Object Object providing information about the health plan
subscriber. Refer to the coverage.subscriber table for field
definitions.
patient Object Object providing information about the patient. Refer to the
coverage.patient table for field definitions.
payer Object Object providing information about the payer. Refer to the
coverage.payertable for field definitions.
requestingProvider Object Object providing information about the payer. Refer to the
coverage.requestingProvider table for field
definitions.
plans Array Array containing objects with policy plan information. Refer
to the coverage.plans table for field definitions.
supplementalInformation Object Object containing supplemental information about the
coverage. Refer to the supplementalInformation table for field definitions.
reminders Object Object containing care reminders pertaining to the coverage.
Refer to thereminders table for field definitions.
Coverages response definitions:
Fields within coverage.subscriber
Field Type Definition
memberId String The subscriber's health plan member ID number.
medicaidId String The subscriber's Medicaid member ID number, if
applicable.
lastName/firstName /middleName/suffix String The subscriber's last name/first name/middle name/suffix.
birthDate String (date-time) The subscriber's date of birth.
gender String The subscriber's gender.
genderCode String Code for the patient's gender. Values with definitions in
parentheses: F (female), M (male), U (unknown).
ssn String The subscriber's Social Security Number.
address Object Object providing information about the subscriber's address.
Fields in this object are omitted for brevity.
caseNumber String The case number assigned to the subscriber by the information
source (e.g., payer, employer, HMO).
Coverages response definitions:
Fields within coverage.patient
Field Type Definition
lastName/firstName /middleName/suffix String The patient's last name/first name/middle name/suffix.
patientAccountNumber String Number for the patient’s health plan account.
memberId String The patient's health plan member ID.
familyUnitNumber String Number required when the information source is a Pharmacy
Benefit Manager and the patient has a suffix on their member ID
number required for use in the NCPDP Telecom Standard.
birthDate String (date-time) The patient's date of birth.
deathDate String (date-time) The patient's date of death.
ssn String The patient's Social Security Number.
gender String The patient's gender.
genderCode String Code for the patient's gender. Values with definitions in
parentheses: F (female), M (male), U (unknown).
subscriberRelationship String Describes the patient's relationship to the
subscriber.
subscriberRelationshipCode String Code for the patient's relationship to the subscriber. Values
with definitions in parentheses:
  • 18 (Self)
  • 01 (Spouse)
  • 19 (Child)
  • G8 (Other relationship)
address Object Object providing information about the patient's address.
Fields in this object are omitted for brevity.
updateYourRecords Boolean Indicates whether the patient's demographic or address
information needs to be updated.
Coverages response definitions:
Fields within coverage.payer
Field Type Definition
type String The payer's type.
typeCode String The code for the payer's type. Refer to the ASC X12 270/271
TR3 for the full list of insurance type codes.
name String The payer's name.
payerId String The requested payer's Availity-specific identifier.
responsePayerId String The ID the payer responded with.
responseName String The name the payer responded with.
primary Boolean Indicates whether this is the primary payer.
secondary Boolean Indicates whether this is the secondary payer.
tertiary Boolean Indicates whether this is the tertiary payer.
thirdPartyAdministrator String Indicates whether the payer is a third-party
administrator.
insuredLastName String The insured person's last name.
insuredFirstName String The insured person's first name.
insuredMiddleName String The insured person's middle name.
insuredMemberId String The insured person's health plan member ID.
insuredAddress Object Object providing information about the insured person's
address. Fields in this object are omitted for brevity.
groupNumber String The insured person's group number.
groupName String The insured person's group name.
policyNumber String The insured person's policy number.
planNumber String The insured person's plan number.
planName String The insured person's plan name.
planNetworkId String The insured person's plan network ID.
memberIdentificationNumber String The insured person's member ID number.
familyUnitNumber String Number required when the information source is a Pharmacy
Benefit Manager and the patient has a suffix on their member ID
number required for use in the NCPDP Telecom Standard.
healthInsuranceClaimNumber String The health insurance claim number (HICN), a Medicare
beneficiary's identification number for paying claims and
determining eligibility for services.
medicaidRecipient IdentificationNumber String The patient's Medicaid Recipient ID number.
dischargeDate String (date-time) Date the patient was discharged.
periodStartDate String (date-time) The eligibility period start date.
periodEndDate String (date-time) The eligibility period end date.
completionDate String (date-time)
coordinationOfBenefitsDate String (date-time)
coordinationOfBenefitsBeginDate String (date-time) Date coordination of benefits began/will begin.
coordinationOfBenefitsEndDate String (date-time) Date coordination of benefits ended/will end.
coverageStartDate String (date-time) Date the
patient's
coverage started/will start.
coverageEndDate String (date-time) Date the patient's coverage ended/will end.
addedDate String (date-time)
planStartDate String (date-time)
primaryCareProviderDate String (date-time)
lastVisitDate String (date-time)
eligibilityStartDate String (date-time) Date the patient's eligibility began.
eligibilityEndDate String (date-time) Date the patient's eligibility ended.
benefitBeginDate String (date-time) Date benefits began/will begin.
benefitEndDate String (date-time) Date benefits ended/will end.
admissionDate String (date-time) Date the patient was admitted.
serviceDate String (date-time) The date of service.
lastUpdateDate String (date-time)
statusDate String (date-time)
insuredContactInformation Array Contact information for the insured person. Fields in this
array are omitted for brevity.
address

contactInformation Array The payer's contact information. Fields in this array are
omitted for brevity.
payerNotes Array Array containing general disclaimers and messages from the
health plan. Refer to the payerNotes table for fields and definitions.
serviceTypeCode String Code for the payer's service type. Refer to the ASC X12
270/271 TR3 for the full list of service type codes.
Coverages response definitions:
Fields within
coverage.requestingProvider
Field Type Definition
category String Category for the requesting provider.
categoryCode String Code for the provider's category. Refer to the ASC X12
270/271 TR3 for the full list of provider codes.
type String Describes the requesting provider type.
typeCode String Code for the requesting provider type. Refer to the X12
270/271 TR3 for the full list of provider type codes.
role String Describes the requesting provider's role related to the
eligibility/benefit being inquired about.
roleCode String Code for the provider's role. Refer to the ASC X12 270/271
TR3 for the full list of provider codes.
name String Business name of the requesting provider.
lastName/firstName/ middleName String The requesting provider's last name/first name/middle
name.
npi String The requesting provider's National Provider
Identifier.
taxId String The requesting provider's tax ID number.
stateLicenseNumber String The requesting provider's state license number.
medicareProviderNumber String The requesting provider's Medicare provider number.
medicaidProviderNumber String The requesting provider's Medicaid provider number.
facilityId String The requesting provider's Facility Identification.
pin String The requesting provider's personal identification
number.
contractNumber String The requesting provider's contract number.
electronicPin String The requesting provider's electronic device personal
identification number.
providerPlanNetworkId String The requesting provider's Provider Plan Network
Identification Number.
facilityNetworkId String The requesting provider's Facility Network Identification
Number.
ssn String The requesting provider's Social Security Number.
ein String The requesting provider's Employer Identification
Number.
etin String The requesting provider's Electronic Transmitter
Identification Number.
payerId String The Availity-specific identifier for the patient's health
plan.
pharmacyProcessorNumber String The requesting provider's Pharmacy Processor Number.
planId String The requesting provider's Centers for Medicare & Medicaid
Services Plan ID.
policyNumber String The
health plan policy number.
memberId String The
health
plan member ID number.
familyUnitNumber String Number required when the information source is a Pharmacy
Benefit Manager and the patient has a suffix on their member ID
number required for use in the NCPDP Telecom Standard.
groupNumber String The
health
plan group number.
referralNumber String Number or code that indicates that a referral for services
has been approved.
alternateListId String Allows the information source to identify a list of drugs and
alternative drugs with the associated formulary status for the
patient.
coverageListId String Allows the information source to identify a list of drugs
that have coverage limitations for the associated patient.
healthInsuranceClaimNumber String The health insurance claim number (HICN), a Medicare
beneficiary's identification number for paying claims and
determining eligibility for services.
drugFormularyNumber String The drug formulary number.
priorAuthorizationNumber String Number that indicates the services on this claim have been
authorized.
medicalAssistanceCategoryId String The Medical Assistance Category ID number.
planNetworkId String The Plan Network Identification number.
planNetworkName String The Plan Network name.
medicaidRecipientId String The Medicaid recipient ID number.
suhi String
naicId String The requesting provider's National Association of Insurance
Commissioners number.
payerAssignedProviderId String The requesting provider's payer-assigned provider
identification number.
submitterId String The requesting provider's submitter ID.
payerAssignedUserId String The requesting provider's payer-assigned user ID.
specialty String The requesting provider's specialty.
specialtyCode String Code for the requesting provider's specialty. Refer to the
X12 270/271TR3 for code sources.
placeOfService String Identifies the place of service.
placeOfServiceCode String Code for the place of service. Refer to X12 Code Source 237:
Place of Service Codes for Professional Claims.
dischargeDate String (date-time)
periodStartDate String (date-time)
periodEndDate String (date-time)
completionDate String (date-time)
coordinationOfBenefitsDate String (date-time)
coordinationOfBenefitsBegin Date String (date-time)
coordinationOfBenefitsEnd Date String (date-time)
coverageStartDate String (date-time)
coverageEndDate String (date-time)
addedDate String (date-time)
planStartDate String (date-time)
primaryCareProviderDate String (date-time)
primaryCareProviderStart Date String (date-time)
primaryCareProviderEnd Date String (date-time)
lastVisitDate String (date-time)
eligibilityStartDate String (date-time)
eligibilityEndDate String (date-time)
benefitBeginDate String (date-time)
benefitEndDate String (date-time)
admissionDate String (date-time)
serviceDate String (date-time)
lastUpdateDate String (date-time)
statusDate String (date-time)
authorizationRequired Boolean Indicates whether the provider is required to obtain
authorization to perform this service.
address Object Object providing information about the requesting provider's
address. Fields in this object are omitted for brevity.
contactInformation Array Array providing contact information for the requesting
provider. Fields in this array are omitted for brevity.
deliveryInformation Array Array listing healthcare service delivery information for the
requesting provider. Refer to the requestingprovider.deliveryInformation table for
field definitions.
payerNotes Array Array listing payer notes about the requesting provider.
Refer to the payerNotes table for fields.
Coverages response definitions: Fields
within
coverage.requestingProvider.deliveryInformation
Field Type Definition
quantityQualifier String Describes the type of units used for the quantity of
benefits.
quantityQualifierCode String Code for the type of units used for the quantity of benefits.
Refer to the ASC X12 270/271 TR3 for the full list of quantity
qualifier codes.
quantity String The quantity of benefits.
amount String
per String The
frequency period over which the service is
delivered.
perCode String The
code for the frequency period. Refer to the ASC X12 270/271 TR3 for
the full list of delivery frequency codes.
timePeriod String The time period measurement for this service delivery.
timePeriodCode String The code for the time period measurement. Refer to the ASC X12
270/271 TR3 for the full list of time period qualifier codes.
timePeriods String The number of periods involved in the service delivery.
pattern String The routine deliveries or calendar pattern for this service
delivery.
patternCode String The code for the calendar pattern. Refer to the ASC X12 270/271
TR3 for the full list of delivery frequency codes.
time String The time of day for this service delivery.
timeCode String The code for the time of day. Refer to the ASC X12 270/271 TR3
for the full list of delivery pattern time codes.
Coverages response definitions:
Fields within coverage.plans
Field Type Definition
status String The
patient's
coverage status (e.g., active).
statusCode String The code for the coverage status. See the ASC X12 270/271 TR3
for the full list of eligibility and benefit information
codes.
identityCardNumber String Identifying card number used in addition to the member card
number; typically prevalent in the Medicaid environment.
groupNumber String The patient's health plan group number.
groupName String The patient's health plan group name.
policyNumber String The patient's health plan policy number.
planNumber String The patient's health plan number.
planName String The patient's health plan name.
planNetworkId String The patient's plan network ID.
planNetworkName String The patient's plan network name.
contractClassCode
Class of contract code; used in the X12 835 transaction and
may be returned if there is sufficient information in the 270
transaction.
contractNumber String The provider's contract number.
medicalRecordNumber String The medical record identification number.
healthInsuranceClaimNumber String The health insurance claim number (HICN), a Medicare
beneficiary's identification number for paying claims and
determining eligibility for services.
identificationCardSerialNumber String The patient's ID card serial number.
identityCardNumber String The patient's ID card number.
issueNumber String The patient's issue number.
medicaidRecipient IdentificationNumber String The patient's Medicaid recipient ID number.
priorIdentificationNumber String The patient's prior identifier number.
agencyClaimNumber String Claim number used only when the information source is a
Property and Casualty payer.
admissionDate String (date-time) The patient's admission date.
dischargeDate String (date-time) The patient's discharge date.
issueDate String (date-time)
serviceDate String (date-time)
coverageStartDate String (date-time)
coverageEndDate String (date-time)
planStartDate String (date-time)
planEndDate String (date-time)
planEnrollmentDate String (date-time)
certificationDate String (date-time)
eligibilityStartDate String (date-time) Date the patient's eligibility for benefits began/will
begin.
eligibilityEndDate String (date-time) Date the patient's eligibility for benefits ended/will end.
policyEffectiveDate String (date-time)
policyExpirationDate String (date-time)
effectiveChangeDate String (date-time)
cobraStartDate String (date-time)
cobraEndDate String (date-time)
lastUpdateDate String (date-time)
addedDate String (date-time)
premiumPaidToBeginDate String (date-time)
premiumPaidToEndDate String (date-time)
periodStartDate String (date-time)
periodEndDate String (date-time)
statusDate String (date-time)
additionalPayers Array Array listing information for additional payers. Refer to the
coverage.payer table for fields and definitions.
primaryCareProvider Array Array listing information for the primary care provider.
Refer to the coverage.requestingProvider table for fields and
definitions.
contacts Array Array
listing contact information for the patient.
Fields in this array are omitted for brevity.
benefits Array Array listing information about benefits. Refer to the coverage.plans.benefits table for fields and
definitions.
preexistingConditions Object Object providing eligibility/benefit information for
preexisting conditions. Refer to the plans.benefits.benefitDetail table for fields and
definitions.
costContainment Object Object providing information about the total amount the
patient will have to pay out of pocket before benefits begin.
Typically applies to the Medicaid environment. Refer to the
plans.benefits.benefitDetail table for fields and
definitions.
limitations Object Object providing information about eligibility/ benefit
limitations. Refer to the plans.benefits.benefitDetail table for fields and
definitions.
benefitDescriptions Object Object
providing a description of benefits. Refer to
the plans.benefits.benefitDetail table for fields and
definitions.
coverageBasis Object Object
providing information about the basis for coverage.
Refer to the plans.benefits.benefitDetail table for fields and
definitions.
insuranceType String The type of insurance.
insuranceTypeCode String Code for the insurance type. Refer to the ASC X12 270/271 TR3
for the full list of insurance type codes.
reserve Object Refer to the plans.benefits.benefitDetail table for fields and
definitions.
payerNotes Array List of general payer notes and disclaimers. Refer to the
payerNotes table for fields and definitions.
Coverages response definitions:
Fields within coverage.plans.benefits
Field Type Definition
name String The name of the benefit.
type String Type of benefit.
source String The source of the procedure benefit.
status String The status of coverage for this benefit.
statusCode String The status code of the coverage for this benefit. See the ASC
X12 270/271 TR3 for the full list of eligibility and benefit
information codes.
statusDetails Object Refer to the plans.benefits.benefitDetail table for fields and
definitions.
amounts Object Object providing information about amounts involved in this
benefit. Refer to the plans.benefits.amounts table for fields and
definitions.
limitations Object Object providing information about eligibility/ benefit
limitations. Refer to the plans.benefits.benefitDetail table for fields and
definitions.
benefitDescriptions Object Object
providing a description of benefits. Refer to
the plans.benefits.benefitDetail table for fields and
definitions.
nonCovered Object Object providing information about non-covered services.
Refer to the plans.benefits.benefitDetail table for fields and
definitions.
coverageBasis Object Object
providing information about the basis for coverage.
Refer to the plans.benefits.benefitDetail table for fields and
definitions.
reserve Object Refer to the plans.benefits.benefitDetail table for fields and
definitions.
preexistingConditions Object Object providing eligibility/benefit information for
preexisting conditions. Refer to the plans.benefits.benefitDetail table for fields and
definitions.
costContainment Object Object providing information about the total amount the
patient will have to pay out of pocket before benefits begin.
Typically applies to the Medicaid environment. Refer to the
plans.benefits.benefitDetail table for fields and
definitions.
exclusions Object Object providing information about exclusions. Refer to the
plans.benefits.benefitDetail table for fields and
definitions.
additionalPayers Array Array listing information for additional payers. Refer to the
coverage.payer table for fields and definitions.
contacts Array Array listing additional contacts for this benefit. Refer to
the coverage.requestingProvider table for fields and
definitions.
payerNotes
List of general payer notes and disclaimers. Refer to the
payerNotes table for fields and definitions.
Coverages response definitions:
Fields within
plans.benefits.benefitDetail
Field Type Definition
inNetwork Array Array listing information about benefits that apply to
in-network providers. Refer to the networkBenefit table for fields and definitions.
outOfNetwork Array Array listing information about benefits that apply to
out-of-network providers. Refer to the networkBenefit table for fields and definitions.
notApplicableNetwork Array Array listing information about benefits that apply
regardless of network. Refer to the networkBenefit table for fields and definitions.
noNetwork Array Array listing information about benefits that are not
specific to a network. Refer to the networkBenefit table for fields and definitions.
Coverages response definitions:
Fields within
plans.benefits.benefitDetail.amounts
Field Type Definition
coPayment Object Object providing information about copayment amounts. Refer
to the plans.benefits.benefitDetail table for fields and
definitions.
outOfPocket Object Object providing information about out-of-pocket amounts.
Refer to the plans.benefits.benefitDetail table for fields and
definitions.
deductibles Object Object providing information about deductible amounts. Refer
to the plans.benefits.benefitDetail table for fields and
definitions.
coInsurance Object Object providing information about coinsurance amounts. Refer
to the plans.benefits.benefitDetail table for fields and
definitions.
Coverages response definitions:
Fields within
plans.benefits.benefitDetail.networkBenefit
Field Type Definition
status String
statusCode String The code for the coverage status. See the ASC X12 270/271 TR3
for the full list of eligibility and benefit information
codes.
insuranceType String The patient's type of insurance.
insuranceTypeCode String Code for the insurance type. Refer to the ASC X12 270/271 TR3
for the full list of insurance type codes.
amount String
units String
amountTimePeriod String The time period this benefit applies to.
amountTimePeriodCode String
remaining String The remaining amount.
remainingTimePeriod String The time period that the remaining benefit applies
to.
remainingTimePeriodCode String
total String Total amount.
totalTimePeriod String
totalTimePeriodCode String
level String
levelCode String
quantity String
quantityQualifier String
quantityQualifierCode String
authorizationRequired Boolean Indicates whether the provider is required to obtain
authorization to perform this service.
authorizationRequiredUnknown Boolean Indicates if it is unknown whether the provider is required
to obtain authorization.
placeOfService String Description of the place of service.
placeOfServiceCode String Code for the place of service. Refer to X12 Code Source 237:
Place of Service Codes for Professional Claims.
description String
planNumber String The plan number.
planName String The plan name.
policyNumber String The plan network ID.
memberIdentificationNumber String The member ID number.
familyUnitNumber String Number required when the information source is a Pharmacy
Benefit Manager and the patient has a suffix on their member ID
number required for use in the NCPDP Telecom Standard.
groupNumber String The patient's health plan group number.
groupName String The patient's health plan group name.
referralNumber String Number or code that indicates that a referral for services
has been approved.
healthInsuranceClaimNumber String The health insurance claim number (HICN), a Medicare
beneficiary's identification number for paying claims and
determining eligibility for services.
priorAuthorizationNumber String Number that indicates the services on this claim have been
authorized.
insurancePolicyNumber String The health insurance policy number.
planNetworkId String The insured person's plan network ID.
planNetworkName String The insured person's member ID number.
medicaidRecipient IdentificationNumber String The patient's Medicaid Recipient ID number.
dischargeDate String
periodStartDate String
periodEndDate String
completionDate String
coordinationOfBenefitsDate String
coordinationOfBenefits BeginDate String
coordinationOfBenefitsEndDate String
coverageStartDate String
coverageEndDate String
addedDate String
planStartDate String
primaryCareProviderDate String
lastVisitDate String
eligibilityStartDate String
eligibilityEndDate String
benefitBeginDate String
benefitEndDate String
admissionDate String
serviceDate String
lastUpdateDate String
statusDate String
contacts Array Array listing contact information for this benefit. Fields in
this array are omitted for brevity.
payerNotes Array Array containing general disclaimers and messages from the
health plan. Refer to the payerNotes table for fields and definitions.
deliveryInformation Array Array containing service delivery information. Refer to the
deliveryInformation table for fields and
definitions.
Coverages response definitions:
Fields within
coverage.supplementalInformation
Field Type Definition
professionalPatientCost Estimator Boolean Indicates whether the Professional Patient Cost Estimator is
available.
institutionalPatientCost Estimator Boolean Indicates whether the Institutional Patient Cost Estimator is
available.
patientCareSummary Boolean Indicates whether the patient care summary is
available.
patientCareSummaryReason String Indicates the reason for the patient care summary
availability.
patientCareSummaryReasonCode String Code
for the reason for the patient care summary
availability.
assessmentCarePlan Boolean Indicates whether an assessment and care plan are
available.
thirdPartySystemId
Third party system ID for supplemental information.
routingCode
Routing code for supplemental information.
outOfArea Boolean Flag
used by certain payers to indicate out of
area.
clickToTalkPhoneNumber String
clickToTalkKey

localMemberId String Local member ID for third-party clinical exchanges.
pceMemberLocatorKey String Local member key for patient cost estimator for third-party
clinical exchanges.
pceHostIndicator Boolean Host plan indicator for patient cost estimator for
third-party clinical exchanges.
referralShortFormIndicator Boolean Referral
short form indicator.
viewReferralAuthIndicator Boolean View
all auths and referrals indicator.
csnpIndicator Boolean Indicates whether a C-SNP form is available.
requestLtssccAmount Boolean Indicates whether to initiate a request to LTSSCC.
pregnant Boolean Indicates whether the Patient Assessment (Maternity) form
exists.
pharmacyRestrictions Object Object containing information about pharmacy restrictions.
Includes fields for address and contact information, effective
date, and termination date.
erReferralCompleted Boolean Indicates whether the ER Referral Questionnaire was
completed.
Coverages response definitions:
Fields within coverage.reminders
Field Type Definition
titles Object Object containing clinical message titles.
messages Array Array listing objects containing clinical message
content.
inference String Clinical inference.
Coverages response definitions:
Fields within payerNotes
Field Type Definition
type String Describes the type of note.
typeCode String Code
for the type of note.
message String The content of the note from the payer.

Service Reviews 2.0.0

Create, update, void, and search for service reviews (Admission Reviews, Health Service Reviews, and Specialty Care Reviews) with this API, which enables the ASC X12N 278 transaction. Code lists and sources can be found in the ASC X12 Standards for Electronic Data Interchange Technical Report Type 3 (TR3) titled Health Care Services Review – Inquiry and Response (278) and Health Care Services Review – Request for Review and Response (278).

Endpoints


Path Function
1 POST/v2/service-reviews Create service reviews (i.e., submit
authorizations/referrals) asynchronously. To submit a
transaction, make a valid request and Availity responds with a
location header containing a URL you can query for your
result.
2 GET/v2/service-reviews Search for service reviews in the health plan's system. This
endpoint queries the health plan's system asynchronously. To
submit a transaction, make a valid request and Availity responds
with a location header containing a URL you can query for your
result. This method can be used to check the status of a service
review (i.e., perform an authorization/referral inquiry) and is a prerequisite to performing an
update or delete.
3 GET/v2/service-reviews/{id} Retrieve a specific service review (i.e., perform an authorization/referral inquiry). Replace {id}
with the response ID from your initial request.
4 PUT/v2/service-reviews Update service reviews asynchronously. Only a service review
with updatable=true can be updated. Once you
make a valid request, Availity will respond with a location
header containing a URL you can query for your result while
Availity asynchronously sends an updated copy of the service
review to the health plan. Note: The updatableFields array will list which fields the
payer allows the client to update.
5 DELETE/v2/service-reviews/{id} Void an existing service review asynchronously. Only a
service review with deletable=true can be
voided. Once you make a valid request, Availity responds with a
location header containing a URL you can query for your result
while asynchronously sending a void request to the health plan.
Replace {id} with the response ID from your initial
request.

Demo response scenarios

To test the demo version of this API, send the (X-Api-Mock-Scenario-ID) header with the appropriate response scenario ID, as listed in the following table. For POST methods, send an empty JSON body: <strong>{}</strong>.
Service Reviews demo response
scenarios
Response scenario ID Method Status code Definition
SR-CreateRequestAccepted-i POST 202 Availity is in the process of sending the member's service
review information to the health plan.
SR-DeleteRequestAccepted-i DELETE 202 Availity is processing your delete request.
SR-CreateRequestError-i POST 400 Your request failed Availity's input validation
rules.
SR-DeleteRequestError-i DELETE 400 Your request failed Availity's delete validation
rules.
SR-GetComplete-i GET – use {id} 12345678 200 Availity has successfully retrieved the member's service
review information from the health plan.
SR-GetInProgress-i GET – use {id} 12345678 202 Availity is processing your request.
SR-GetPayerDown-i GET – use {id} 12345678 504 Availity did not receive a response from the health plan
within the time allotted. You can retry your request
later.
SR-UpdateRequestAccepted-i PUT 202 Availity is currently processing your request.
SR-UpdateRequestError-i PUT 400 Your request failed Availity's input validation
rules.
SR-GetPayerError-i GET 400 The health plan indicated an error in the request. The
resource should have a list of validationMessages. Correct and
resubmit the request.
SR-GetRetrying-i GET - use {id} 12345678 202 The health plan did not respond and Availity is retrying the
request.
SRI-GetAccepted-i GET 202 Availity is processing your request.
SRI-GetComplete-i GET 200 Availity has successfully retrieved the member's service
review information from the health plan.
SRI-GetInProgress-i GET 202 Availity is processing your request.
SRI-GetPayerError-i GET 400 The health plan indicated an error in the request. The
resource should have a list of validationMessages. Correct and
resubmit the request.
SRI-GetPayerDown-i GET 504 Availity did not receive a response from the health plan
within the time allotted. You can retry your request
later.
SRI-GetRetrying-i GET – use {id} 12345678 202 The health plan did not respond and Availity is retrying the
request.
SRI-GetRequestError-i GET 400 The health plan indicated an error in the request. The
resource should have a list of
validationMessages. Correct and resubmit
the request.

Validation rules

The validation rules for the Service Reviews resource can vary by health plan, the type of authorization requested, and the type of service performed. Availity organizes and makes these rules available through the Configurations API, which documents the fields required to create a service review and explains which values are valid for those fields.

Service Reviews has two type names in Configurations: service-reviews, which allows you to search for validation rules for the POST/v2/service-reviews request, and service-reviews-inquiry, which allows you to search for validation rules for the GET/v2/service-reviews request. For both types, the subtype ID is HS (Health Services Review/outpatient authorization), AR (Admission Review/inpatient authorization), or SC (Specialty Care Review/referral). Here's an example of a Configurations request for service review information for the payer Florida Blue:

$ curl -i -X GET https://api.availity.com/availity/v1/configurations?
type=service-reviews&subtypeId=HS&payerId=BCBSF

Refer to the Configurations reference section for further details.

Parameters

1. POST/v2/service-reviews
Parameter/Request body Type Definition
serviceReview Body object (optional) Represents the details of the service review
(authorization/referral) you are submitting. Refer to the request body for possible fields. Refer to Response definitions for field definitions.
Content-Type Header string (optional) Allows you to specify application/json or
application/xml
Accept Header string (optional) Allows you to specify application/json or
application/xml

serviceReview POST request body:

{
    "type": "object",
    "properties": {
        "id": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "customerId": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "controlNumber": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "userId": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "shortFormIndicator": {
            "type": "boolean",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "updatable": {
            "type": "boolean",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "deletable": {
            "type": "boolean",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "updatableFields": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "status": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "statusCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "statusReasons": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "createdDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "updatedDate": {
            "type": "string",
           "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "expirationDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "validationMessages": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "providerNotes": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "payerNotes": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "payer": {
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "requestingProvider": {
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "subscriber": {
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "patient": {
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "diagnoses": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "certificationIssueDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "certificationEffectiveDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "certificationExpirationDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "certificationNumber": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "referenceNumber": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "traceNumbers": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "requestType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "requestTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "serviceType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "serviceTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "additionalServiceTypes": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "placeOfService": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "placeOfServiceCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "serviceLevel": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "serviceLevelCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "fromDate": {
            "type": "string",
            "format": "date",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "toDate": {
            "type": "string",
            "format": "date",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "quantity": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "quantityType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "quantityTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "admissionType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "admissionTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "admissionSource": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "admissionSourceCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "nursingHomeResidentialStatus": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "nursingHomeResidentialStatusCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "homeHealthStartDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "homeHealthCertificationPeriodStartDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "homeHealthCertificationPeriodEndDate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "transportType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "transportTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "transportDistance": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "transportPurpose": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "chiropracticTreatmentCount": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "beginningSubluxationLevel": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "beginningSubluxationLevelCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "endingSubluxationLevel": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "endingSubluxationLevelCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "spinalCondition": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "spinalConditionCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "spinalConditionDescription": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenEquipmentType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenEquipmentTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenFlowRate": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenDailyUseCount": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenUsePeriodHourCount": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenOrderText": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenDeliverySystemType": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "oxygenDeliverySystemTypeCode": {
            "type": "string",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "transportLocations": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "procedures": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "renderingProviders": {
            "type": "array",
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        },
        "supplementalInformation": {
            "$ref": "<a href="#c_service_reviews__Primaryfields" rel="nofollow">#/definitions/Primaryfields</a>"
        }
    }
}

2. GET/v2/service-reviews

Parameter Type Definition
payer.id Query string (optional) The Availity-specific identifier for the patient's health
plan.
requestingProvider.specialtyCode Query string (optional) The requesting provider's specialty code. Refer to X12
External Code Source 682: Provider Taxonomy Codes.
requestingProvider.lastName Query string (optional) The requesting provider's last or business name.
requestingProvider.firstName Query string (optional) The requesting provider's first name.
requestingProvider.middleName Query string (optional) The requesting provider's middle name.
requestingProvider.suffix Query string (optional) The requesting provider's suffix.
requestingProvider.npi Query string (optional) The requesting provider's National Provider Identifier
(NPI).
requestingProvider.taxId Query string (optional) The requesting provider's tax ID number.
requestingProvider.payer AssignedProviderId Query string (optional) The requesting provider's payer-assigned provider ID.
requestingProvider.submitterId Query string (optional) The requesting provider's health plan-specific submitter
ID.
requestingProvider.addressLine1 Query string (optional) First line of the requesting provider's address.
requestingProvider.addressLine2 Query string (optional) Second line of the requesting provider's address.
requestingProvider.city Query string (optional) The requesting provider's city.
requestingProvider.stateCode Query string (optional) Two-character abbreviation for the requesting provider's
state.
requestingProvider.zipCode Query string (optional) The requesting provider's ZIP code.
requestingProvider.contactName Query string (optional) Name for the requesting provider's contact person.
requestingProvider.phone Query string (optional) The requesting provider's phone number/extension/fax
number.
requestingProvider.extension Query string (optional) The requesting provider's phone extension.
requestingProvider.fax Query string (optional) The requesting provider's fax number.
subscriber.memberId Query string (optional) The health plan subscriber's member ID number.
subscriber.firstName Query string (optional) The health plan subcriber's first name.
subscriber.lastName Query string (optional) The health plan subcriber's last name.
subscriber.middleName Query string (optional) The health plan subcriber's middle name.
subscriber.suffix Query string (optional) The health plan subcriber's suffix.
patient.lastName Query string (optional) The patient's last name.
patient.firstName Query string (optional) The patient's first name.
patient.middleName Query string (optional) The patient's middle name.
patient.suffix Query string (optional) The patient's suffix.
patient.birthDate Query string (date) (optional) The patient's birth date.
patient.subscriberRelationshipCode Query string (optional) Code representing the patient's relationship to the
subscriber. Values with definitions in parentheses:
  • 18 (Self)
  • 01 (Spouse)
  • 19 (Child)
  • G8 (Other relationship)
requestTypeCode Query string (optional) The code for the request type. Possible values: HS (Health
Services Review/outpatient), AR (Admission Review/inpatient),
and SC (Specialty Care Review/referral).
fromDate Query string (date) (optional) The service beginning date.
toDate Query string (date) (optional) The service end date.
certificationIssueDate Query string (optional) The date the authorization certification was issued.
certificationNumber Query string (optional) Number assigned by the health plan once an authorization is
certified.
referenceNumber Query string (optional) Number assigned by the health plan for a submitted
authorization while it is being reviewed (prior to
certification). Typically, the terms "reference number," "case
number," and "authorization number" are synonymous.
statusCode Query string (optional) Code for the status of the authorization or referral. Refer
to the status and statusCodes table for values and definitions.
sessionId Query string (optional) Identifier included in a 200, 404, and 504 response. Valid
for 24 hours.
3. GET/v2/service-reviews/{id}
Parameter Type Definition
id Path string (required) The unique response ID from your initial request.
Accept Header string (optional) Allows you to specify application/json or
application/xml
4. PUT/v2/service-reviews
Parameter/Request body Type Definition
serviceReview Body object (optional) Represents the service review you are updating. Refer to the
request body for fields and definitions.
Content-Type Header string (optional) Allows you to specify application/json or
application/xml
Accept Header string (optional) Allows you to specify application/json or
application/xml
5. DELETE/v2/service-reviews/{id}
Parameter Type Definition
id Path string (required) The unique response ID from your initial request.
Accept Header string (optional) Allows you to specify application/json or
application/xml

Sample requests and responses

1. POST /v2/service-reviews

Request:

curl -X POST "https://api.availity.com/availity/v2/service-reviews" -d { "payer": { "name": "FLORIDA BLUE", "id": "BCBSF" }, 
"requestingProvider": { "lastName": "RP Surgery Center", "npi": "1111111112", "submitterId": "G12345", "specialtyCode": "207T00000X"
, "addressLine1": "321 Main St", "city": "JACKSONVILLE", "state": "Florida", "stateCode": "FL", "zipCode": "322231234", "contactName":
 "John Doe", "phone": "9043334444" }, "subscriber": { "firstName": "Jane", "middleName": "J", "lastName": "Smith", "suffix": "JR", 
"memberId": "TEST1", "addressLine1": "123 MAIN ST", "addressLine2": "APT 3", "city": "JACKSONVILLE", "state": "Florida", "stateCode": 
"FL", "zipCode": "123123331" }, "patient": { "firstName": "Jane", "middleName": "J", "lastName": "Smith", "suffix": "JR", 
"subscriberRelationship": "Self", "subscriberRelationshipCode": "18", "birthDate": "2009-09-09T05:00:00.000+0000", "gender": "Female",
 "genderCode": "F", "addressLine1": "123 MAIN ST", "addressLine2": "APT 3", "city": "JACKSONVILLE", "state": "Florida", "stateCode": 
"FL", "zipCode": "123123331" }, "diagnoses": [ { "qualifier": "International Classification of Diseases Clinical Modification (ICD-10-CM)
 Principal Diagnosis", "qualifierCode": "BF", "value": "Medical Diagnosis", "code": "0011", "date": "2015-01-01T05:00:00.000+0000" } ], 
"requestTypeCode": "AR", "serviceTypeCode": "1", "placeOfServiceCode": "21", "fromDate": "2015-01-01T05:00:00.000+0000", 
"admissionTypeCode": "1", "admissionSourceCode": "1", "renderingProviders": [ { "lastName": "smith", "firstName": "bobby", 
"npi": "1111111112", "specialtyCode": "282N00000X", "roleCode": "SJ", "addressLine1": "321 Main St", "city": "Jacksonville", 
"stateCode": "FL", "zipCode": "322561234" } ] } 

Responses:

If your request is invalid, the resource responds with a status code of 400 and a list of errors for you to correct. If your request is valid, the resource responds with a status code of 202 and a location header where you can check back for your response. The resource continues to respond in this way, as shown below, until the health plan responds:

{
  "links": {
    "self": {
      "href": "https://api.availity.com/availity/v2/service-reviews/0001234476904234805
       043040461830325519306571042495809029976148661"
    }
  },
  "id": "0001234476904234805043040461830325519306571042495809029976148661",
  "customerId": "1234",
  "status": "Building Request",
  "statusCode": "BR",
  "createdDate": "2015-02-24T18:51:39.000+0000",
  "updatedDate": "2015-02-24T18:51:39.000+0000",
  "expirationDate": "2015-02-25T18:51:39.000+0000",
  "validationMessages": [
    {
      "field": "renderingProviders",
      "errorMessage": "Please enter at least one Service Provider and one Facility."
    }
  ],
  "payer": {
    "name": "FLORIDA BLUE",
    "id": "BCBSF"
  },
  "requestingProvider": {
    "lastName": "RP Surgery Center",
    "npi": "1111111112",
    "submitterId": "G12345",
    "specialtyCode": "207T00000X",
    "addressLine1": "321 Main St",
    "city": "JACKSONVILLE",
    "state": "Florida",
    "stateCode": "FL",
    "zipCode": "322231234",
    "contactName": "John Doe",
    "phone": "9043334444"
  },
  "subscriber": {
    "firstName": "Jane",
    "middleName": "J",
    "lastName": "Smith",
    "suffix": "JR",
    "memberId": "TEST1",
    "addressLine1": "123 MAIN ST",
    "addressLine2": "APT 3",
    "city": "JACKSONVILLE",
    "state": "Florida",
    "stateCode": "FL",
    "zipCode": "123123331"
  },
  "patient": {
    "firstName": "Jane",
    "middleName": "J",
    "lastName": "Smith",
    "suffix": "JR",
    "subscriberRelationship": "Self",
    "subscriberRelationshipCode": "18",
    "birthDate": "2009-09-09T05:00:00.000+0000",
    "gender": "Female",
    "genderCode": "F",
[...]
